> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://contentful.com/developers/docs/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/developers/docs/_mcp/server.

# Create an AI provider

POST https://api.contentful.com/organizations/{organization_id}/ai/providers
Content-Type: application/vnd.contentful.management.v1+json

Use this endpoint to create a new AI Provider of a specified type for an organization.

Reference: https://contentful.com/developers/docs/references/content-management-api/ai-providers/create-an-ai-provider

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `organization_id` (string, required) — ID of the organization

### Body (application/vnd.contentful.management.v1+json)

This endpoint expects a map from string to any.

- `map from string to any`

## Response

### 201

Created - Resource created successfully

- `map from string to any`

## Examples

**Request**

```json
{
  "config": {
    "region": "us-east-1"
  },
  "credentials": {
    "accessKeyId": "AKIAIOSFODNN7EXAMPLE",
    "secretAccessKey": "wJalrXUtnFEMI/K7MDENG/bPxRfiCYEXAMPLEKEY"
  },
  "selectedModels": [
    {
      "id": "anthropic.claude-3-5-sonnet-20241022-v2:0",
      "name": "Claude 3.5 Sonnet v2"
    },
    {
      "id": "anthropic.claude-3-sonnet-20240229-v1:0",
      "name": "Claude 3 Sonnet"
    }
  ],
  "type": "aws_bedrock"
}
```

**Response**

```json
{
  "config": {
    "region": "us-east-1"
  },
  "selectedModels": [
    {
      "id": "anthropic.claude-3-5-sonnet-20241022-v2:0",
      "name": "Claude 3.5 Sonnet v2"
    },
    {
      "id": "anthropic.claude-3-sonnet-20240229-v1:0",
      "name": "Claude 3 Sonnet"
    }
  ],
  "sys": {
    "createdAt": "2025-11-16T10:30:00Z",
    "createdBy": {
      "sys": {
        "id": "1xGZIRXr2WPnsLkKfREo0z",
        "linkType": "User",
        "type": "Link"
      }
    },
    "id": "3aab1ce0-442c-42eb-b1e4-c17d9206189a",
    "organization": {
      "sys": {
        "id": "0D9ZC8rLWiw6x5qizZGiRs",
        "linkType": "Organization",
        "type": "Link"
      }
    },
    "updatedAt": "2025-11-17T14:45:00Z",
    "updatedBy": {
      "sys": {
        "id": "1xGZIRXr2WPnsLkKfREo0z",
        "linkType": "User",
        "type": "Link"
      }
    },
    "verifiedAt": "2025-11-16T10:30:01Z"
  },
  "type": "aws_bedrock"
}
```

**SDK Code**

```android Android
SDK currently doesn't implement this endpoint.
```

```java Java
SDK currently doesn't implement this endpoint.
```

```kotlin Kotlin
SDK currently doesn't implement this endpoint.
```

```swift Swift
We currently don't provide a CMA SDK for this platform.
```

```js-legacy JavaScript (legacy)
SDK currently doesn't implement this endpoint.
```

```javascript JavaScript
SDK currently doesn't implement this endpoint.
```

```php PHP
SDK currently doesn't implement this endpoint.
```

```ruby Ruby
SDK currently doesn't implement this endpoint.
```

```python Python
SDK currently doesn't implement this endpoint.
```

```.net .NET
SDK currently doesn't implement this endpoint.
```